MyLodgeTax

Version v1
Onboarding
Customer Information
Tax Rate
Revenue

RevenueTransaction

Request body definition for call to POST /v1/revenuetransactions. The fields 'memo', 'bookingDate', and 'sourceMarketplace' are optional.

This model is used in the following APIs:

Parameters
transactionIdRequired
string

The unique identifier for the transaction data.

locationIdRequired
string

Unique location identifier assigned when posting a partnerLead.

transactionDateRequired
string

The date that the revenue is being reported for. Expected date format is 'YYYY-MM-DD'.

totalRevenueRequired
number

The total revenue amount being reported. Tax should not be included in this value.

exemptRevenueRequired
number

The amount of the totalRevenue that is exempt from being taxed.

totalNightsRequired
number

The number of nights that the revenue was collected for.

exemptNightsRequired
number

The number of the totalNights that are exempt from being taxed.

memoOptional
string

Memo field that describes the transaction data. This is what the customer will see in the Avalara MyLodgeTax application. Although optional, partners are strongly encouraged to provide a meaningful description for the customer's reference.

sourceMarketplaceOptional
string

The marketplace that the transaction applies to (e.g. AirbnB, Vrbo, etc). This field does not need to be supplied from partners who represent a single marketplace; sourceMarketplace will be inferred from your API key. For partners that list on multiple third-party marketplaces, this field is required, so that the correct customer-owed tax can be computed, based on the tax that the given marketplace is known to collect and remit. If the the sourcemarketplace is left out, the revenue will default to 'Direct'.

bookingDateOptional
string

The date that the rental property was booked. Expected date format is 'YYYY-MM-DD'.